package javax.naming.event;

import javax.naming.NamingException;
import javax.naming.Name;
import javax.naming.Context;

public interface EventContext extends Context
{
    public static final int OBJECT_SCOPE = 0;
    public static final int ONELEVEL_SCOPE = 1;
    public static final int SUBTREE_SCOPE = 2;
    
    public abstract void addNamingListener(Name p0, int p1, NamingListener p2) throws NamingException;
    
    public abstract void addNamingListener(String p0, int p1, NamingListener p2) throws NamingException;
    
    public abstract void removeNamingListener(NamingListener p0) throws NamingException;
    
    public abstract boolean targetMustExist() throws NamingException;
}
